<?php
/**
* Zoom Tab Class for handling the CB tab api
* @package Community Builder
* @author Unknown, PeterMixt, JoomlaJoe, Beat
*/
class getZoomCommentTab extends cbTabHandler {
	/**
	* Constructor
	*/
	function getZoomCommentTab() {
		$this->cbTabHandler();
	}
	/**
	* Generates the HTML to display the user profile tab
	* @param object tab reflecting the tab database entry
	* @param object mosUser reflecting the user being displayed
	* @param int 1 for front-end, 2 for back-end
	* @returns mixed : either string HTML for tab content, or false if ErrorMSG generated
	*/	
	function getDisplayTab($tab,$user,$ui) {
		global $database,$mosConfig_live_site,$acl,$my,$mosConfig_absolute_path;
		$return="";
		if(!file_exists('components/com_zoom/etc/zoom_config.php')){
			return _UE_ZOOMNOTINSTALLED;
		}
		$params=$this->params;
		$imgNumberPerPage = $params->get('imgCommentNumberPerPage', '10');
		$imgHeadingBild = $params->get('imgCommentHeadingBild', 'Image');
		$imgHeadingKommentar= $params->get('imgCommentHeadingKommentar', 'Comment');
		$imgHeadingDatumZeit = $params->get('imgCommentHeadingDatumZeit', 'Date/Time');
		
		$query = "SELECT imgid, cmtdate, cmtcontent FROM #__zoom_comments WHERE cmtname='".$user->username."' ORDER BY cmtdate DESC LIMIT 0,".$imgNumberPerPage;
		$database->setQuery ($query);
		$rows = $database->loadObjectList();
		$i = 1;
		if (sizeof($rows) > 0) {
			$return.= "<table width=100% border=0 cellpadding=2 cellspacing=2";
			$return .= "  <tr>";
			$return .= "    <td class=sectiontableheader align=center>".$imgHeadingBild."</td>";
			$return .= "    <td class=sectiontableheader align=center widht=100%>".$imgHeadingKommentar."</td>";
			$return .= "    <td class=sectiontableheader align=center>".$imgHeadingDatumZeit."</td>";
			$return .="   </tr>";
		}
		foreach ($rows as $row) {
			if ($i==1) {
	            $vcss = "sectiontableentry1";
	            $i = 2;
	        } else {
	            $vcss = "sectiontableentry2";
	            $i = 1;
	        }
			$query = "SELECT imgfilename FROM #__zoomfiles WHERE imgid=".$row->imgid;
			$database->setQuery ($query);
			$img = $database->loadResult();
			
			$query = "SELECT catid FROM #__zoomfiles WHERE imgid=".$row->imgid;
			$database->setQuery ($query);
			$catid = $database->loadResult();
			
			$query = "SELECT catdir FROM #__zoom WHERE catid=".$catid;
			$database->setQuery ($query);
			$catdir = $database->loadResult();
			$datum = sprintf("%02d.%02d.%04d", substr($row->cmtdate, 6, 2), substr($row->cmtdate, 4, 2), substr($row->cmtdate, 0, 4));
			$zeit = sprintf("%02d:%02d", substr($row->cmtdate, 8, 2), substr($row->cmtdate, 10, 2));     
			
			$imglink = "index.php?option=com_zoom&Itemid=3&page=view&catid=".$catid."&hit=1";
			
			$return .= "  <tr>";
			$return .= "    <td class=".$vcss." align=center><img border=0 src=images/zoom/".$catdir."/thumbs/".$img."></td>";
			$return .= "    <td class=".$vcss." align=center widht=100%>".$row->cmtcontent."</td>";
			$return .= "    <td class=".$vcss." align=center>".$datum."<br>".$zeit."</td>";
			$return .="   </tr>";
			
		}
		if (sizeof($rows) > 0) {
			$return.= "</table>";
		}
		return $return;
	}

}	

?>